@import "~sass/media";
@import "~sass/variables";
.panel {
  margin-bottom: 20px;
  background-color: $secondary-color;
  border: 1px solid transparent;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}
.panel-default {
  border-color: #ddd;
}
.panel-default > .panel-heading {
  color: #333;
  border-bottom: 1px solid #ddd;
  line-height: 3;
  h4{
    color: $font-black;
  }
}
.panel-title {
  padding: 10px;
  margin-bottom: 0;
}

.table {
  width: 100%;
  margin-bottom: 0px;
  font-size: 14px;
}
.text-right {
  text-align: right;
}
.invoice-title h2,
.invoice-title h3 {
  display: inline-block;
}

.table > tbody > tr > .no-line {
  border-top: none;
}

.table > thead > tr > .no-line {
  border-bottom: none;
}
.table > thead > td {
  line-height: 3;
}

.table > tbody > tr > .thick-line {
  border-top: 1px solid #bfbfbf;
}
.table tbody tr {
  line-height: 1.5;
}
.table-header {
  background-color: $quaternary;
  line-height: 2;
  td {
    padding: 10px;
  }
}
.table-inner {
  line-height: 2;
  td {
    padding: 5px 10px;
  }
}
.unit-price input {
  width: 40px;
  height: 20px;
  padding: 5px;
  text-align: center;
}
// ::ng-deep .mat-option {
//   line-height: 1.5em !important;
//   height: 7em !important;
// }
::ng-deep .mat-option-text {
  display: contents !important;
}
// ::ng-deep .mat-select-panel {
//   min-width: calc(75% + 0px) !important;
//   margin-left: 65px;
// }
::ng-deep .mat-tab-group {
  // border-bottom: 1px solid #c7c7c7;
  padding: 0 0 20px 0px;
}
::ng-deep .mat-step-header:hover {
  background-color: rgba(0, 0, 0, 0) !important;
}
.track-txt {
  font-size: 14px;
}
.track-details {
  display: flex;
  .track-desc {
    padding-left: 10px;
    font-weight: 500;
  }
}
.shoppingcart {
  margin: 20px 0px 10px 20px;
  padding-bottom: 1vh;
  //width: 200px;
  display: flex;
    .col-md-8{
    @media screen and (min-width: 601px) and (max-width: 1000px) {
      flex: 0 0 100%;
      max-width: 100%;
  }
  }
  .col-md-3{
    @media screen and (min-width: 601px) and (max-width: 1000px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}
.cart-payment {
  background-color: #ffffff;
  box-shadow: 0 0px 1px 0px rgba(149, 149, 149, 0.2),
    0 0px 11px 0 rgba(136, 136, 136, 0.14),
    0 10px 15px 0 rgba(160, 160, 160, 0.12) !important;
  cursor: pointer;
  border-radius: 10px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 15px;
  width: 200px;
}

.order-address {
  margin: 20px 0px 0px 20px;
}
.cancel-order-btn {
  display: flex;
  justify-content: flex-end;
  @include for-size(phone-only){
    margin-bottom: 20px;
  }
  .btn {
    background-color: #e0e0e0;
    color: rgb(80, 80, 80);
    border-radius: 20px;
    line-height: 2.5;
  }
}
.returnedDisplayNone {
  display: none !important;
}
.order-back-btn {
  display: flex;
  justify-content: flex-end;
}
.order-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 10px;
}
.order-id {
  font-size: 14px;
  font-weight: 500;
}


.tracking-stepper {
  box-shadow: 0px 0px 6px 0px #d4d4d4;
  margin-bottom: 20px;
  padding: 20px 0;
}
.trackind-popup{
  font-size: 14px;
  font-weight: 500;
  padding: 0 30px;
  padding-bottom: 20px;
  cursor: pointer;
    button{
      @include for-size(phone-only){
        white-space: pre-wrap;
        line-height: 20px;
      }
    }
}

.off-price {
  color: #b3b3b3;
  text-decoration: line-through;
  padding-left: 5px;
  font-size: 12px;
}

.step-wrap {
  width: 100%;
  clear: both;
	&:before,
	&:after {
		display: table;
		content: "";
	}

	&:after {
		clear: both;
	}
}

// Step wrapper
.step {
  width: 20%;
  float: left;
  padding: 1em;
  text-align: center;
  position: relative;

  &:after {
    content: "";
    background: #eee;
    height: .4em;
    top: 2.4em;
    left: 63%;
    width: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    @include for-size(tablet-portrait-up){
        left: 74%;
    }
    @include for-size(tablet-landscape-up){
        left: 67%;
    }
     @media (min-width: 376px) and (max-width: 600px) {
        left: 15vw;
    }
     @media (min-width: 360px) and (max-width: 375px) {
        left: 15vw;
    }
  }

  &:before {
    content: "";
    background: $font-white;
    height: .4em;
    top: 2.4em;
    left: 50%;
    margin-left: -2em;
    width: 4em;
    display: block;
    position: absolute;
    z-index: 0;
  }


   &-last {
    &:after {
      display: none;
    }
  }

  &-active {
    &:after{
    background: $primary-color;
    }
    .step-circle {
      background: $primary-color;
      color: #fff;
    }
  }

  &-notactivate {

      &:after{
        background: #eee;

      }
      .step-circle {
        background: rgb(204, 204, 204);

        color: #fff;
      }
    }
      .step-check {
        display: inline-block;
      }
  }

.step-circle {
  background: #eee;

  line-height: 3.2em;
  border-radius: 50%;
  height: 3em;
  width: 3em;
  text-align: center;
  color: #bdbdbd;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.step-circle-active {
  background: $primary-color;

  line-height: 3.2em;
  border-radius: 50%;
  height: 3em;
  width: 3em;
  text-align: center;
  color: #fff;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.step-check {
  display: none;
}
.step-name {
  margin-top: .8em;
  display: inline-block;
  font-size: 1em;
  line-height: 1.4em;
  @include for-size(phone-only){
    font-size: 10px;
  }
}
.txt-indent{
  text-indent: 50px;
}
.details-oveflow{
  white-space: normal;
  overflow: hidden;
  width: 100%;
  text-overflow: ellipsis;
  word-break: break-all;
}
.ord-border {
  border-bottom: 1px solid #ddd;
}
.order-summary-border {
  border-top: 1px solid #ddd !important;
}
.bl{
    border-left: 1px solid #ddd;
}
.bt{
    border-top: 1px solid #ddd !important;
}
.thead-width{
  width: 20%;
}
.consigment-status{
  margin: 20px;
  overflow-x: scroll;
    h4{
       color: $primary-color;
    }
    .consignment{
      padding: 20px;
    }
    .consignment-bg{
      background-color: #f3f3f3;
      box-shadow: 2px 3px 2px 2px #f1f1f1;
    }
    .consigment-detail{
      font-size: 15px;
      color: #868686;
      padding: 15px 0;
      display: flex;
        .consignment-head{
          width: 11vw;
        }
        .consignment-value{
          color: #000;
          font-weight: 600;
        }
    }
    .status-checked{
        display: flex;
        justify-content: left;
        font-size:14px;
    }
    .con-status{
        color: #000;
        font-weight: 600;
    }
    a{
      color: #00baff;
      font-weight: 600;
      text-decoration: underline;
    } 
}
.mat-table{
    width: auto;
}
.mat-header-cell {
    text-overflow: unset !important;
    white-space: pre-wrap !important;
    width: 100px !important;
}
.mat-header-row {
  min-height: 48px !important;
  background-color: #fcfcfc;
  border-top: 1px solid #eaeaea;
}
.mat-row {
  min-height: 55px !important;
}
.mat-header-cell {
  color: #aaaeb3 !important;
  font-family: $font-stack;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
}
.mat-sort-header-button {
  color: #afb0b1 !important;
  font-family: $font-stack;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
}
.mat-paginator-container {
  background-color: #f0f3f6;
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    margin-top: 10px;
  }
}
.mat-paginator-icon {
  background-color: #dee5ed;
}
.track-status{  
  justify-content: center;  
  display: inline-flex;
  font-size: 16px;
  width: 100%;
  font-weight: 700;
  @include for-size(phone-only){
    font-size: 10px;
  }  
}
.consigment-status .mat-header-row{
  z-index:1 !important;
}
.consigment-status .mat-cell:nth-child(1),
.consigment-status .mat-header-cell:nth-child(1)
{
    flex: 10% !important;
}